# Interface GenericCifDataParser

All Known Implementing Classes:
  `Cif2DataParser, CifDataParser`

public interface GenericCifDataParser

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EMPTY`
`static final int`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`String`
`fixKey(String key)`
`Map<String,Object>`
`getAllCifData()`
`Map<String,Object>`
`getAllCifDataType(String... types)`
`int`
`getColumnCount()`
`Object`
`getColumnData(int i)`
`String`
`getColumnName(int i)`
`boolean`
`getData()`
`String`
`getFileHeader()`
`Object`
`getNextDataToken()`
`String`
`getNextToken()`
`Object`
`getTokenPeeked()`
`void`
`parseDataBlockParameters(String[] fields, String key, String data, int[] key2col, int[] col2key)`
`Object`
`peekToken()`
`String`
`readLine()`
`GenericCifDataParser`
`set(GenericLineReader reader, BufferedReader br, boolean debugging)`
`String`
`skipLoop(boolean doReport)`
`String`
`skipNextToken()`
`String`
`toUnicode(String data)`

## Field Details

### NONE

static final int NONE

See Also:
  - Constant Field Values

### EMPTY

static final int EMPTY

See Also:
  - Constant Field Values

## Method Details

### getAllCifData

Map<String,Object> getAllCifData()

### getAllCifDataType

Map<String,Object> getAllCifDataType(String... types)

### getData

boolean getData() throws Exception

Throws:
  `Exception`

### getColumnName

String getColumnName(int i)

### getColumnCount

int getColumnCount()

### getFileHeader

String getFileHeader()

### peekToken

Object peekToken() throws Exception

Throws:
  `Exception`

### getTokenPeeked

Object getTokenPeeked()

### getColumnData

Object getColumnData(int i)

### getNextDataToken

Object getNextDataToken() throws Exception

Throws:
  `Exception`

### getNextToken

String getNextToken() throws Exception

Throws:
  `Exception`

### parseDataBlockParameters

void parseDataBlockParameters(String[] fields, String key, String data, int[] key2col, int[] col2key) throws Exception

Throws:
  `Exception`

### readLine

String readLine()

### set

GenericCifDataParser set(GenericLineReader reader, BufferedReader br, boolean debugging)

### toUnicode

String toUnicode(String data)

### skipLoop

String skipLoop(boolean doReport) throws Exception

Throws:
  `Exception`

### fixKey

String fixKey(String key)

### skipNextToken

String skipNextToken() throws Exception

Throws:
  `Exception`